Number: 1847
Title: Install fail on MacOS 10.5.8
Submitter: Bill Nichols
Date: Wed Dec 30 17:50:52 2009
Subsys: Dot
Version: latest
System: x86-OSX-10.5.8
Severity: critical
Problem:
Install fails. Seems to be the same situation as reported in bug# 1618, have attached a screen shot of error messages and directory contents as requested in that original bug report.
Comments:
Haven't had any problems installing this on Ubuntu or Wix XP, not sure what the issue is here, but give me something to try and I'll be happy to jump in.

[north] I think we'lll have to generate a separate package for OSX 10.5 and not try to share 10.5 and 10.6

I'm not too optimistic that "the team" can afford to support the many different versions of Windows, Mac OSX, Linux, not to mention Solaris (still), HP-UX, AIX, ...

[bill] I think I can probably afford the $30 upgrade to 10.6 if that will get me up and running.

You have my sympathy on the multiple ports issue...wrestled with that one for years in a prior lifetime.

[north] Bill, I need to check specifically on what kind of builds we are doing.

In looking in http://www.graphviz.org/pub/graphviz/development/macos/snowleopard/ in the log.txt files it appears we are building on OSX 10.5 even when allegedly trying to make a 10.6 package.

We'll need to address this when we get back in to the office next week.

I don't understand what is going wrong on your system; sorry for the troubles.

I have installed the distributed packages on 10.6 recently without any drama.

[ryan] In regard to this user's inability to install Graphviz on Mac OS X 10.5:

http://graphviz.org/bugs/b1847.html

You can advise him that installing Graphviz using MacPorts works fine, on Mac OS X 10.4, 10.5, and 10.6. So that's an available workaround. The port he should use is "graphviz-gui" (for the latest stable release) or "graphviz-gui-devel" (for the latest development snapshot).
Owner: *
Status: *